Uploaded image for project: 'Spring Integration'
  1. Spring Integration
  2. INT-4376

Move project to Log4j2 and depreacet Log4j 1.x components

    Details

    • Type: Refactoring
    • Status: Closed
    • Priority: Minor
    • Resolution: Complete
    • Affects Version/s: 5.0 GA
    • Fix Version/s: 5.0.1
    • Component/s: Testing
    • Labels:

      Description

      Currently spring-integration-test-support has hard dependency for the Log4j 1.x because of LogAdjustingTestSupport and Log4jLevelAdjuster. Since Spring IO doesn't provide Log4j 1.x support any more, we should consider to deprecate those components in favor of newly created based on the Log4j2. Also rework logging configs to Log4j2 as well.

      Consider to remove those deprecated Log4j 1.x components in the next 5.1 version.

      We still need to think how to exclude (or include?) Log4j 1.x matter from (to) Spring IO for compatibility.

        Attachments

          Activity

            People

            • Assignee:
              abilan Artem Bilan
              Reporter:
              abilan Artem Bilan
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: